package java.security.cert;

import java.security.InvalidAlgorithmParameterException;

public abstract class CertPathValidatorSpi
{
    public CertPathValidatorSpi() {
    }
    
    public abstract CertPathValidatorResult engineValidate(CertPath p0, CertPathParameters p1) throws CertPathValidatorException, InvalidAlgorithmParameterException;
    
    public CertPathChecker engineGetRevocationChecker() {
        throw new UnsupportedOperationException();
    }
}
